Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network48.2.136.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
48.2.136.0
Broadcast address
48.2.139.255
First usable
48.2.136.1
Last usable
48.2.139.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 30028800 · Integer 805472256 to 805473279
Reverse DNS zones
136.2.48.in-addr.arpa
137.2.48.in-addr.arpa
138.2.48.in-addr.arpa
139.2.48.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110000.00000010.10001000.0000000048.2.136.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00110000.00000010.10001000.0000000048.2.136.0
Broadcast00110000.00000010.10001011.1111111148.2.139.255
Split into smaller subnets/32

48.2.136.0/22 makes 1,024 subnets of /32; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
148.2.136.0/3248.2.136.0 to 48.2.136.0—1
248.2.136.1/3248.2.136.1 to 48.2.136.1—1
348.2.136.2/3248.2.136.2 to 48.2.136.2—1
448.2.136.3/3248.2.136.3 to 48.2.136.3—1
548.2.136.4/3248.2.136.4 to 48.2.136.4—1
648.2.136.5/3248.2.136.5 to 48.2.136.5—1
748.2.136.6/3248.2.136.6 to 48.2.136.6—1
848.2.136.7/3248.2.136.7 to 48.2.136.7—1
948.2.136.8/3248.2.136.8 to 48.2.136.8—1
1048.2.136.9/3248.2.136.9 to 48.2.136.9—1
1148.2.136.10/3248.2.136.10 to 48.2.136.10—1
1248.2.136.11/3248.2.136.11 to 48.2.136.11—1
1348.2.136.12/3248.2.136.12 to 48.2.136.12—1
1448.2.136.13/3248.2.136.13 to 48.2.136.13—1
1548.2.136.14/3248.2.136.14 to 48.2.136.14—1
1648.2.136.15/3248.2.136.15 to 48.2.136.15—1
1748.2.136.16/3248.2.136.16 to 48.2.136.16—1
1848.2.136.17/3248.2.136.17 to 48.2.136.17—1
1948.2.136.18/3248.2.136.18 to 48.2.136.18—1
2048.2.136.19/3248.2.136.19 to 48.2.136.19—1
2148.2.136.20/3248.2.136.20 to 48.2.136.20—1
2248.2.136.21/3248.2.136.21 to 48.2.136.21—1
2348.2.136.22/3248.2.136.22 to 48.2.136.22—1
2448.2.136.23/3248.2.136.23 to 48.2.136.23—1
2548.2.136.24/3248.2.136.24 to 48.2.136.24—1
2648.2.136.25/3248.2.136.25 to 48.2.136.25—1
2748.2.136.26/3248.2.136.26 to 48.2.136.26—1
2848.2.136.27/3248.2.136.27 to 48.2.136.27—1
2948.2.136.28/3248.2.136.28 to 48.2.136.28—1
3048.2.136.29/3248.2.136.29 to 48.2.136.29—1
3148.2.136.30/3248.2.136.30 to 48.2.136.30—1
3248.2.136.31/3248.2.136.31 to 48.2.136.31—1
3348.2.136.32/3248.2.136.32 to 48.2.136.32—1
3448.2.136.33/3248.2.136.33 to 48.2.136.33—1
3548.2.136.34/3248.2.136.34 to 48.2.136.34—1
3648.2.136.35/3248.2.136.35 to 48.2.136.35—1
3748.2.136.36/3248.2.136.36 to 48.2.136.36—1
3848.2.136.37/3248.2.136.37 to 48.2.136.37—1
3948.2.136.38/3248.2.136.38 to 48.2.136.38—1
4048.2.136.39/3248.2.136.39 to 48.2.136.39—1
4148.2.136.40/3248.2.136.40 to 48.2.136.40—1
4248.2.136.41/3248.2.136.41 to 48.2.136.41—1
4348.2.136.42/3248.2.136.42 to 48.2.136.42—1
4448.2.136.43/3248.2.136.43 to 48.2.136.43—1
4548.2.136.44/3248.2.136.44 to 48.2.136.44—1
4648.2.136.45/3248.2.136.45 to 48.2.136.45—1
4748.2.136.46/3248.2.136.46 to 48.2.136.46—1
4848.2.136.47/3248.2.136.47 to 48.2.136.47—1
4948.2.136.48/3248.2.136.48 to 48.2.136.48—1
5048.2.136.49/3248.2.136.49 to 48.2.136.49—1
5148.2.136.50/3248.2.136.50 to 48.2.136.50—1
5248.2.136.51/3248.2.136.51 to 48.2.136.51—1
5348.2.136.52/3248.2.136.52 to 48.2.136.52—1
5448.2.136.53/3248.2.136.53 to 48.2.136.53—1
5548.2.136.54/3248.2.136.54 to 48.2.136.54—1
5648.2.136.55/3248.2.136.55 to 48.2.136.55—1
5748.2.136.56/3248.2.136.56 to 48.2.136.56—1
5848.2.136.57/3248.2.136.57 to 48.2.136.57—1
5948.2.136.58/3248.2.136.58 to 48.2.136.58—1
6048.2.136.59/3248.2.136.59 to 48.2.136.59—1
6148.2.136.60/3248.2.136.60 to 48.2.136.60—1
6248.2.136.61/3248.2.136.61 to 48.2.136.61—1
6348.2.136.62/3248.2.136.62 to 48.2.136.62—1
6448.2.136.63/3248.2.136.63 to 48.2.136.63—1
6548.2.136.64/3248.2.136.64 to 48.2.136.64—1
6648.2.136.65/3248.2.136.65 to 48.2.136.65—1
6748.2.136.66/3248.2.136.66 to 48.2.136.66—1
6848.2.136.67/3248.2.136.67 to 48.2.136.67—1
6948.2.136.68/3248.2.136.68 to 48.2.136.68—1
7048.2.136.69/3248.2.136.69 to 48.2.136.69—1
7148.2.136.70/3248.2.136.70 to 48.2.136.70—1
7248.2.136.71/3248.2.136.71 to 48.2.136.71—1
7348.2.136.72/3248.2.136.72 to 48.2.136.72—1
7448.2.136.73/3248.2.136.73 to 48.2.136.73—1
7548.2.136.74/3248.2.136.74 to 48.2.136.74—1
7648.2.136.75/3248.2.136.75 to 48.2.136.75—1
7748.2.136.76/3248.2.136.76 to 48.2.136.76—1
7848.2.136.77/3248.2.136.77 to 48.2.136.77—1
7948.2.136.78/3248.2.136.78 to 48.2.136.78—1
8048.2.136.79/3248.2.136.79 to 48.2.136.79—1
8148.2.136.80/3248.2.136.80 to 48.2.136.80—1
8248.2.136.81/3248.2.136.81 to 48.2.136.81—1
8348.2.136.82/3248.2.136.82 to 48.2.136.82—1
8448.2.136.83/3248.2.136.83 to 48.2.136.83—1
8548.2.136.84/3248.2.136.84 to 48.2.136.84—1
8648.2.136.85/3248.2.136.85 to 48.2.136.85—1
8748.2.136.86/3248.2.136.86 to 48.2.136.86—1
8848.2.136.87/3248.2.136.87 to 48.2.136.87—1
8948.2.136.88/3248.2.136.88 to 48.2.136.88—1
9048.2.136.89/3248.2.136.89 to 48.2.136.89—1
9148.2.136.90/3248.2.136.90 to 48.2.136.90—1
9248.2.136.91/3248.2.136.91 to 48.2.136.91—1
9348.2.136.92/3248.2.136.92 to 48.2.136.92—1
9448.2.136.93/3248.2.136.93 to 48.2.136.93—1
9548.2.136.94/3248.2.136.94 to 48.2.136.94—1
9648.2.136.95/3248.2.136.95 to 48.2.136.95—1
9748.2.136.96/3248.2.136.96 to 48.2.136.96—1
9848.2.136.97/3248.2.136.97 to 48.2.136.97—1
9948.2.136.98/3248.2.136.98 to 48.2.136.98—1
10048.2.136.99/3248.2.136.99 to 48.2.136.99—1
10148.2.136.100/3248.2.136.100 to 48.2.136.100—1
10248.2.136.101/3248.2.136.101 to 48.2.136.101—1
10348.2.136.102/3248.2.136.102 to 48.2.136.102—1
10448.2.136.103/3248.2.136.103 to 48.2.136.103—1
10548.2.136.104/3248.2.136.104 to 48.2.136.104—1
10648.2.136.105/3248.2.136.105 to 48.2.136.105—1
10748.2.136.106/3248.2.136.106 to 48.2.136.106—1
10848.2.136.107/3248.2.136.107 to 48.2.136.107—1
10948.2.136.108/3248.2.136.108 to 48.2.136.108—1
11048.2.136.109/3248.2.136.109 to 48.2.136.109—1
11148.2.136.110/3248.2.136.110 to 48.2.136.110—1
11248.2.136.111/3248.2.136.111 to 48.2.136.111—1
11348.2.136.112/3248.2.136.112 to 48.2.136.112—1
11448.2.136.113/3248.2.136.113 to 48.2.136.113—1
11548.2.136.114/3248.2.136.114 to 48.2.136.114—1
11648.2.136.115/3248.2.136.115 to 48.2.136.115—1
11748.2.136.116/3248.2.136.116 to 48.2.136.116—1
11848.2.136.117/3248.2.136.117 to 48.2.136.117—1
11948.2.136.118/3248.2.136.118 to 48.2.136.118—1
12048.2.136.119/3248.2.136.119 to 48.2.136.119—1
12148.2.136.120/3248.2.136.120 to 48.2.136.120—1
12248.2.136.121/3248.2.136.121 to 48.2.136.121—1
12348.2.136.122/3248.2.136.122 to 48.2.136.122—1
12448.2.136.123/3248.2.136.123 to 48.2.136.123—1
12548.2.136.124/3248.2.136.124 to 48.2.136.124—1
12648.2.136.125/3248.2.136.125 to 48.2.136.125—1
12748.2.136.126/3248.2.136.126 to 48.2.136.126—1
12848.2.136.127/3248.2.136.127 to 48.2.136.127—1
12948.2.136.128/3248.2.136.128 to 48.2.136.128—1
13048.2.136.129/3248.2.136.129 to 48.2.136.129—1
13148.2.136.130/3248.2.136.130 to 48.2.136.130—1
13248.2.136.131/3248.2.136.131 to 48.2.136.131—1
13348.2.136.132/3248.2.136.132 to 48.2.136.132—1
13448.2.136.133/3248.2.136.133 to 48.2.136.133—1
13548.2.136.134/3248.2.136.134 to 48.2.136.134—1
13648.2.136.135/3248.2.136.135 to 48.2.136.135—1
13748.2.136.136/3248.2.136.136 to 48.2.136.136—1
13848.2.136.137/3248.2.136.137 to 48.2.136.137—1
13948.2.136.138/3248.2.136.138 to 48.2.136.138—1
14048.2.136.139/3248.2.136.139 to 48.2.136.139—1
14148.2.136.140/3248.2.136.140 to 48.2.136.140—1
14248.2.136.141/3248.2.136.141 to 48.2.136.141—1
14348.2.136.142/3248.2.136.142 to 48.2.136.142—1
14448.2.136.143/3248.2.136.143 to 48.2.136.143—1
14548.2.136.144/3248.2.136.144 to 48.2.136.144—1
14648.2.136.145/3248.2.136.145 to 48.2.136.145—1
14748.2.136.146/3248.2.136.146 to 48.2.136.146—1
14848.2.136.147/3248.2.136.147 to 48.2.136.147—1
14948.2.136.148/3248.2.136.148 to 48.2.136.148—1
15048.2.136.149/3248.2.136.149 to 48.2.136.149—1
15148.2.136.150/3248.2.136.150 to 48.2.136.150—1
15248.2.136.151/3248.2.136.151 to 48.2.136.151—1
15348.2.136.152/3248.2.136.152 to 48.2.136.152—1
15448.2.136.153/3248.2.136.153 to 48.2.136.153—1
15548.2.136.154/3248.2.136.154 to 48.2.136.154—1
15648.2.136.155/3248.2.136.155 to 48.2.136.155—1
15748.2.136.156/3248.2.136.156 to 48.2.136.156—1
15848.2.136.157/3248.2.136.157 to 48.2.136.157—1
15948.2.136.158/3248.2.136.158 to 48.2.136.158—1
16048.2.136.159/3248.2.136.159 to 48.2.136.159—1
16148.2.136.160/3248.2.136.160 to 48.2.136.160—1
16248.2.136.161/3248.2.136.161 to 48.2.136.161—1
16348.2.136.162/3248.2.136.162 to 48.2.136.162—1
16448.2.136.163/3248.2.136.163 to 48.2.136.163—1
16548.2.136.164/3248.2.136.164 to 48.2.136.164—1
16648.2.136.165/3248.2.136.165 to 48.2.136.165—1
16748.2.136.166/3248.2.136.166 to 48.2.136.166—1
16848.2.136.167/3248.2.136.167 to 48.2.136.167—1
16948.2.136.168/3248.2.136.168 to 48.2.136.168—1
17048.2.136.169/3248.2.136.169 to 48.2.136.169—1
17148.2.136.170/3248.2.136.170 to 48.2.136.170—1
17248.2.136.171/3248.2.136.171 to 48.2.136.171—1
17348.2.136.172/3248.2.136.172 to 48.2.136.172—1
17448.2.136.173/3248.2.136.173 to 48.2.136.173—1
17548.2.136.174/3248.2.136.174 to 48.2.136.174—1
17648.2.136.175/3248.2.136.175 to 48.2.136.175—1
17748.2.136.176/3248.2.136.176 to 48.2.136.176—1
17848.2.136.177/3248.2.136.177 to 48.2.136.177—1
17948.2.136.178/3248.2.136.178 to 48.2.136.178—1
18048.2.136.179/3248.2.136.179 to 48.2.136.179—1
18148.2.136.180/3248.2.136.180 to 48.2.136.180—1
18248.2.136.181/3248.2.136.181 to 48.2.136.181—1
18348.2.136.182/3248.2.136.182 to 48.2.136.182—1
18448.2.136.183/3248.2.136.183 to 48.2.136.183—1
18548.2.136.184/3248.2.136.184 to 48.2.136.184—1
18648.2.136.185/3248.2.136.185 to 48.2.136.185—1
18748.2.136.186/3248.2.136.186 to 48.2.136.186—1
18848.2.136.187/3248.2.136.187 to 48.2.136.187—1
18948.2.136.188/3248.2.136.188 to 48.2.136.188—1
19048.2.136.189/3248.2.136.189 to 48.2.136.189—1
19148.2.136.190/3248.2.136.190 to 48.2.136.190—1
19248.2.136.191/3248.2.136.191 to 48.2.136.191—1
19348.2.136.192/3248.2.136.192 to 48.2.136.192—1
19448.2.136.193/3248.2.136.193 to 48.2.136.193—1
19548.2.136.194/3248.2.136.194 to 48.2.136.194—1
19648.2.136.195/3248.2.136.195 to 48.2.136.195—1
19748.2.136.196/3248.2.136.196 to 48.2.136.196—1
19848.2.136.197/3248.2.136.197 to 48.2.136.197—1
19948.2.136.198/3248.2.136.198 to 48.2.136.198—1
20048.2.136.199/3248.2.136.199 to 48.2.136.199—1
20148.2.136.200/3248.2.136.200 to 48.2.136.200—1
20248.2.136.201/3248.2.136.201 to 48.2.136.201—1
20348.2.136.202/3248.2.136.202 to 48.2.136.202—1
20448.2.136.203/3248.2.136.203 to 48.2.136.203—1
20548.2.136.204/3248.2.136.204 to 48.2.136.204—1
20648.2.136.205/3248.2.136.205 to 48.2.136.205—1
20748.2.136.206/3248.2.136.206 to 48.2.136.206—1
20848.2.136.207/3248.2.136.207 to 48.2.136.207—1
20948.2.136.208/3248.2.136.208 to 48.2.136.208—1
21048.2.136.209/3248.2.136.209 to 48.2.136.209—1
21148.2.136.210/3248.2.136.210 to 48.2.136.210—1
21248.2.136.211/3248.2.136.211 to 48.2.136.211—1
21348.2.136.212/3248.2.136.212 to 48.2.136.212—1
21448.2.136.213/3248.2.136.213 to 48.2.136.213—1
21548.2.136.214/3248.2.136.214 to 48.2.136.214—1
21648.2.136.215/3248.2.136.215 to 48.2.136.215—1
21748.2.136.216/3248.2.136.216 to 48.2.136.216—1
21848.2.136.217/3248.2.136.217 to 48.2.136.217—1
21948.2.136.218/3248.2.136.218 to 48.2.136.218—1
22048.2.136.219/3248.2.136.219 to 48.2.136.219—1
22148.2.136.220/3248.2.136.220 to 48.2.136.220—1
22248.2.136.221/3248.2.136.221 to 48.2.136.221—1
22348.2.136.222/3248.2.136.222 to 48.2.136.222—1
22448.2.136.223/3248.2.136.223 to 48.2.136.223—1
22548.2.136.224/3248.2.136.224 to 48.2.136.224—1
22648.2.136.225/3248.2.136.225 to 48.2.136.225—1
22748.2.136.226/3248.2.136.226 to 48.2.136.226—1
22848.2.136.227/3248.2.136.227 to 48.2.136.227—1
22948.2.136.228/3248.2.136.228 to 48.2.136.228—1
23048.2.136.229/3248.2.136.229 to 48.2.136.229—1
23148.2.136.230/3248.2.136.230 to 48.2.136.230—1
23248.2.136.231/3248.2.136.231 to 48.2.136.231—1
23348.2.136.232/3248.2.136.232 to 48.2.136.232—1
23448.2.136.233/3248.2.136.233 to 48.2.136.233—1
23548.2.136.234/3248.2.136.234 to 48.2.136.234—1
23648.2.136.235/3248.2.136.235 to 48.2.136.235—1
23748.2.136.236/3248.2.136.236 to 48.2.136.236—1
23848.2.136.237/3248.2.136.237 to 48.2.136.237—1
23948.2.136.238/3248.2.136.238 to 48.2.136.238—1
24048.2.136.239/3248.2.136.239 to 48.2.136.239—1
24148.2.136.240/3248.2.136.240 to 48.2.136.240—1
24248.2.136.241/3248.2.136.241 to 48.2.136.241—1
24348.2.136.242/3248.2.136.242 to 48.2.136.242—1
24448.2.136.243/3248.2.136.243 to 48.2.136.243—1
24548.2.136.244/3248.2.136.244 to 48.2.136.244—1
24648.2.136.245/3248.2.136.245 to 48.2.136.245—1
24748.2.136.246/3248.2.136.246 to 48.2.136.246—1
24848.2.136.247/3248.2.136.247 to 48.2.136.247—1
24948.2.136.248/3248.2.136.248 to 48.2.136.248—1
25048.2.136.249/3248.2.136.249 to 48.2.136.249—1
25148.2.136.250/3248.2.136.250 to 48.2.136.250—1
25248.2.136.251/3248.2.136.251 to 48.2.136.251—1
25348.2.136.252/3248.2.136.252 to 48.2.136.252—1
25448.2.136.253/3248.2.136.253 to 48.2.136.253—1
25548.2.136.254/3248.2.136.254 to 48.2.136.254—1
25648.2.136.255/3248.2.136.255 to 48.2.136.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses